org.apache.http.impl.auth

## Class NegotiateSchemeFactory

- java.lang.Object
- - org.apache.http.impl.auth.NegotiateSchemeFactory

- All Implemented Interfaces:
    AuthSchemeFactory

  Deprecated.
  (4.2) use `SPNegoSchemeFactory` or `KerberosSchemeFactory`.

      @Deprecated
      public class NegotiateSchemeFactory
      extends Object
      implements AuthSchemeFactory

  SPNEGO (Simple and Protected GSSAPI Negotiation Mechanism) authentication scheme factory.
  Since:
    4.1

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NegotiateSchemeFactory()` Deprecated.
    `NegotiateSchemeFactory(SpnegoTokenGenerator spengoGenerator)` Deprecated.
    `NegotiateSchemeFactory(SpnegoTokenGenerator spengoGenerator, boolean stripPort)` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `SpnegoTokenGenerator` | `getSpengoGenerator()` Deprecated.
    `boolean` | `isStripPort()` Deprecated.
    `AuthScheme` | `newInstance(org.apache.http.params.HttpParams params)` Deprecated. Creates an instance of `AuthScheme` using given HTTP parameters.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NegotiateSchemeFactory

          public NegotiateSchemeFactory(SpnegoTokenGenerator spengoGenerator,
                                boolean stripPort)

      Deprecated.

    - #### NegotiateSchemeFactory

          public NegotiateSchemeFactory(SpnegoTokenGenerator spengoGenerator)

      Deprecated.

    - #### NegotiateSchemeFactory

          public NegotiateSchemeFactory()

      Deprecated.

  - ### Method Detail

    - #### newInstance

          public AuthScheme newInstance(org.apache.http.params.HttpParams params)

      Deprecated.
      Description copied from interface: `AuthSchemeFactory`
      Creates an instance of `AuthScheme` using given HTTP parameters.
      Specified by:
        `newInstance` in interface `AuthSchemeFactory`
      Parameters:
        `params` - HTTP parameters.
      Returns:
        auth scheme.

    - #### isStripPort

          public boolean isStripPort()

      Deprecated.

    - #### getSpengoGenerator

          public SpnegoTokenGenerator getSpengoGenerator()

      Deprecated.

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.